# PhasicFlow: integration Class Reference

integration Class Referenceabstract
Inheritance diagram for integration:
[legend]
Collaboration diagram for integration:
[legend]

## Public Member Functions

| TypeInfo ("integration")
| integration (const word &baseName, repository &owner, const pointStructure &pStruct, const word &method)
virtual | ~integration ()=default
| create_vCtor (integration, word,(const word &baseName, repository &owner, const pointStructure &pStruct, const word &method),(baseName, owner, pStruct, method))
const auto & | pStruct () const
virtual bool | predict (real dt, realx3Vector_D &y, realx3Vector_D &dy)=0
virtual bool | correct (real dt, realx3Vector_D &y, realx3Vector_D &dy)=0
virtual bool | setInitialVals (const int32IndexContainer &newIndices, const realx3Vector &y)=0
virtual bool | needSetInitialVals () const =0
virtual uniquePtr< integration > | clone () const =0
const word & | baseName () const
repository & | owner ()

## Static Public Member Functions

static uniquePtr< integration > | create (const word &baseName, repository &owner, const pointStructure &pStruct, const word &method)

## Protected Attributes

repository & | owner_
const word | baseName_
const pointStructure & | pStruct_

## Detailed Description

Definition at line 35 of file integration.hpp.

## Constructor & Destructor Documentation

## integration()

integration | ( | const word & | baseName,
|  | repository & | owner,
|  | const pointStructure & | pStruct,
|  | const word & | method
| ) |  |

Definition at line 24 of file integration.cpp.

References CONSUME_PARAM.

## ~integration()

virtual ~integration | ( |  | ) |

virtualdefault

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "integration" |  | ) |

## create_vCtor()

create_vCtor | ( | integration | ,
|  | word | ,
|  | (const word &baseName, repository &owner, const pointStructure &pStruct, const word &method) | ,
|  | (baseName, owner, pStruct, method) |
| ) |  |

## pStruct()

const auto& pStruct | ( |  | ) | const

inline

Definition at line 72 of file integration.hpp.

References integration::pStruct_.

Referenced by integration::create().

Here is the caller graph for this function:

## predict()

virtual bool predict | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy
| ) |  |

pure virtual

Implemented in AdamsMoulton5, AdamsMoulton4, and AdamsMoulton3.

## correct()

virtual bool correct | ( | real | dt,
|  | realx3Vector_D & | y,
|  | realx3Vector_D & | dy
| ) |  |

pure virtual

Implemented in AdamsBashforth4, AdamsBashforth5, AdamsBashforth3, AdamsMoulton5, AdamsMoulton4, AdamsMoulton3, and AdamsBashforth2.

## setInitialVals()

virtual bool setInitialVals | ( | const int32IndexContainer & | newIndices,
|  | const realx3Vector & | y
| ) |  |

pure virtual

Implemented in AdamsBashforth4, AdamsBashforth5, AdamsBashforth3, AdamsMoulton5, AdamsMoulton4, AdamsMoulton3, and AdamsBashforth2.

## needSetInitialVals()

virtual bool needSetInitialVals | ( |  | ) | const

pure virtual

Implemented in AdamsBashforth4, AdamsBashforth5, AdamsBashforth3, AdamsMoulton5, AdamsMoulton4, AdamsMoulton3, and AdamsBashforth2.

## clone()

virtual uniquePtr<integration> clone | ( |  | ) | const

pure virtual

Implemented in AdamsBashforth4, AdamsBashforth5, AdamsBashforth3, AdamsMoulton5, AdamsMoulton4, AdamsMoulton3, and AdamsBashforth2.

## baseName()

const word& baseName | ( |  | ) | const

inline

Definition at line 89 of file integration.hpp.

References integration::baseName_.

Referenced by integration::create().

Here is the caller graph for this function:

## owner()

repository& owner | ( |  | ) |

inline

Definition at line 94 of file integration.hpp.

References integration::owner_.

Referenced by integration::create().

Here is the caller graph for this function:

## create()

pFlow::uniquePtr< pFlow::integration > create | ( | const word & | baseName,
|  | repository & | owner,
|  | const pointStructure & | pStruct,
|  | const word & | method
| ) |  |

static

Definition at line 40 of file integration.cpp.

References integration::baseName(), fatalError, fatalExit, integration::owner(), pFlow::printKeys(), and integration::pStruct().

Referenced by sphereParticles::sphereParticles().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## owner_

repository& owner_

protected

Definition at line 39 of file integration.hpp.

Referenced by integration::owner().

## baseName_

const word baseName_

protected

Definition at line 41 of file integration.hpp.

Referenced by integration::baseName().

## pStruct_

const pointStructure& pStruct_

protected

Definition at line 43 of file integration.hpp.

Referenced by integration::pStruct().

The documentation for this class was generated from the following files:

- src/Integration/integration/integration.hpp
- src/Integration/integration/integration.cpp